/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Oscar
 */
@Entity
@Immutable
@Table(name = "APC_HISTORY_LOAN_VIEW")
public class HistoryLoanView implements Serializable{
    
    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "customerName")
    private String customerName;
    
    @Column(name = "endorsementName")
    private String endorsementName;
    
    @Column(name = "routeName")
    private String routeName;
    
    @Column(name = "officeName")
    private String officeName;
    
    @Column(name = "montoPrestado")
    private String montoPrestado;
    
    @Column(name = "montoAPagar")
    private BigDecimal montoAPagar;
    
    @Column(name = "montoPagado")
    private BigDecimal montoPagado;
    
    @Column(name = "saldoInsoluto")
    private BigDecimal saldoInsoluto;
    
    @Column(name = "numMultas")
    private long numMultas;
    
    @Column(name = "estatusPrestamo")
    private String estatusPrestamo;
    
    @Column(name = "fecha")
    private Date fecha;
    
    @Column(name = "juridical_date")
    private Date fechaJuridico;
    
    @Column(name = "nombreUsuario")
    private String nombreUsuario;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getEndorsementName() {
        return endorsementName;
    }

    public void setEndorsementName(String endorsementName) {
        this.endorsementName = endorsementName;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }

    public String getMontoPrestado() {
        return montoPrestado;
    }

    public void setMontoPrestado(String montoPrestado) {
        this.montoPrestado = montoPrestado;
    }

    public BigDecimal getMontoAPagar() {
        return montoAPagar;
    }

    public void setMontoAPagar(BigDecimal montoAPagar) {
        this.montoAPagar = montoAPagar;
    }

    public BigDecimal getMontoPagado() {
        return montoPagado;
    }

    public void setMontoPagado(BigDecimal montoPagado) {
        this.montoPagado = montoPagado;
    }

    public BigDecimal getSaldoInsoluto() {
        return saldoInsoluto;
    }

    public void setSaldoInsoluto(BigDecimal saldoInsoluto) {
        this.saldoInsoluto = saldoInsoluto;
    }

    public long getNumMultas() {
        return numMultas;
    }

    public void setNumMultas(long numMultas) {
        this.numMultas = numMultas;
    }

    public String getEstatusPrestamo() {
        return estatusPrestamo;
    }

    public void setEstatusPrestamo(String estatusPrestamo) {
        this.estatusPrestamo = estatusPrestamo;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }
    
    public Date getFechaJuridico() {
        return fechaJuridico;
    }

    public void setFechaJuridico(Date fechaJuridico) {
        this.fechaJuridico = fechaJuridico;
    }

    public String getNombreUsuario() {
        return nombreUsuario;
    }

    public void setNombreUsuario(String nombreUsuario) {
        this.nombreUsuario = nombreUsuario;
    }
    
    
    
}
